// VRML Generator
// (c) Justin Couch 1996
//
// From Chapter 13 Late Night VRML 2.0 and Java
//
// Subclassed version of TreeNode that also keeps the pointer to the internal
// VRML structure as well. THis is so when the object is selected it will also
// know where to insert the object into the scene graph.

package ui.tree;

import ui.tree.TreeNode;
import geometry.VrmlObject;

public class VrmlTreeNode extends TreeNode
{
	public VrmlObject	vrmlNode;
	public int type;

	public VrmlTreeNode(VrmlObject node,
						int node_type,
						String title,
						String OpenFolder,
						String ClosedFolder)
	{
		super(title, OpenFolder, ClosedFolder);

		vrmlNode = node;
		type = node_type;
	}
}