/* file      : ScrollerInterface.java
 * purpose   : provide an interface to get/set scroller values 
*              used from a child component , implemented by parent component
 * author    : Thomas Koch
 * copyright : 1995 , GMD 
 *            (Forschungszentrum Informationstechnik GmbH, FIT.CSCW,
 *             GMD Schloss Birlinghoven, 53754 Sankt Augustin, Germany).
 */

package ui.tree;

import java.lang.*;
import java.util.*;
import java.awt.*;
import ui.tree.*;

public interface ScrollerInterface {
  int getVerticalScrollerVal();
  int getVerticalScrollerVis();
  int getVerticalScrollerMin();
  int getVerticalScrollerMax();
  void setVerticalScrollerValues(int val,int vis,int min,int max);
  int getHorizontalScrollerVal();
  int getHorizontalScrollerVis();
  int getHorizontalScrollerMin();
  int getHorizontalScrollerMax();
  void setHorizontalScrollerValues(int val,int vis,int min,int max);
}

